package com.chy.borrow.eum;

public enum BorrowApplyEnum {
//
//
//
//
//
//
    STATUS_CHECKING(1,"tmpCode","待部门审核"),
    STATUS_CHECK_PASS(2,"dataRange","待应用处审批"),
    STATUS_CHECK_REJECT(3,"borrowDeadline","部门审核拒绝"),
    STATUS_EXAMINEING(4,"applyReason","待数据确认"),
    STATUS_EXAMINE_REJECT(5,"deadlineMaterials","应用处审批拒绝"),
    STATUS_CONFIRM_PASS(6,"borrowData","待数据下载");

    private Integer statusCode;
    private String statusCodeString;
    private String statusName;

    BorrowApplyEnum(Integer statusCode, String statusCodeString, String statusName) {
        this.statusCode = statusCode;
        this.statusCodeString = statusCodeString;
        this.statusName = statusName;
    }

    public Integer getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(Integer statusCode) {
        this.statusCode = statusCode;
    }

    public String getStatusCodeString() {
        return statusCodeString;
    }

    public void setStatusCodeString(String statusCodeString) {
        this.statusCodeString = statusCodeString;
    }

    public String getStatusName() {
        return statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }

    public static BorrowApplyEnum get(Integer statusCode){
        for(BorrowApplyEnum borrowStatusEnum:values()){
            if (borrowStatusEnum.getStatusCode().equals(statusCode)){
                return borrowStatusEnum;
            }
        }
        return null;
    }
}
